#include <iostream>

using namespace std;

int main()
{
    int t,r[1000];
    cin>>t;
    int n[t];
    for(int i=0;i<t;i++){
        cin>>n[i];
        int a[n[i]],b[n[i]],k=0;
        for(int j=0;j<n[i];j++){
            cin>>a[j];
        }
        for(int j=0;j<n[i];j++){
            cin>>b[j];
        }
        for(int j=0;j<n[i];j++){
            if(a[j]==(b[n[i]-(j+1)]*(-1))){k++;}
        }
        if(k==n[i]){r[i]=1;}
        else{r[i]=0;}
    }
    for(int i=0;i<t;i++){
        if(r[i]==1){
            cout<<"DA"<<endl;}
            else{cout<<"NE"<<endl;}
        }
        return 0;
    }